CMSIS-DSP: Matrix Vector Multiplication

| CMSIS-DSP Version 1.10.0 CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
Matrix Vector Multiplication
Matrix Functions

## Functions

void | arm_mat_vec_mult_f16 (const arm_matrix_instance_f16 *pSrcMat, const float16_t *pVec, float16_t *pDst)
| Floating-point matrix and vector multiplication. More...
void | arm_mat_vec_mult_f32 (const arm_matrix_instance_f32 *pSrcMat, const float32_t *pVec, float32_t *pDst)
| Floating-point matrix and vector multiplication. More...
void | arm_mat_vec_mult_q15 (const arm_matrix_instance_q15 *pSrcMat, const q15_t *pVec, q15_t *pDst)
| Q15 matrix and vector multiplication. More...
void | arm_mat_vec_mult_q31 (const arm_matrix_instance_q31 *pSrcMat, const q31_t *pVec, q31_t *pDst)
| Q31 matrix and vector multiplication. More...
void | arm_mat_vec_mult_q7 (const arm_matrix_instance_q7 *pSrcMat, const q7_t *pVec, q7_t *pDst)
| Q7 matrix and vector multiplication. More...

## Description

Multiplies a matrix and a vector.

## Function Documentation

void arm_mat_vec_mult_f16 | ( | const arm_matrix_instance_f16 * | pSrcMat,
|  | const float16_t * | pVec,
|  | float16_t * | pDst
| ) |  |

Parameters

  [in] | *pSrcMat | points to the input matrix structure
  [in] | *pVec | points to input vector
  [out] | *pDst | points to output vector

void arm_mat_vec_mult_f32 | ( | const arm_matrix_instance_f32 * | pSrcMat,
|  | const float32_t * | pVec,
|  | float32_t * | pDst
| ) |  |

Parameters

  [in] | *pSrcMat | points to the input matrix structure
  [in] | *pVec | points to input vector
  [out] | *pDst | points to output vector

void arm_mat_vec_mult_q15 | ( | const arm_matrix_instance_q15 * | pSrcMat,
|  | const q15_t * | pVec,
|  | q15_t * | pDst
| ) |  |

Parameters

  [in] | *pSrcMat | points to the input matrix structure
  [in] | *pVec | points to input vector
  [out] | *pDst | points to output vector

void arm_mat_vec_mult_q31 | ( | const arm_matrix_instance_q31 * | pSrcMat,
|  | const q31_t * | pVec,
|  | q31_t * | pDst
| ) |  |

Parameters

  [in] | *pSrcMat | points to the input matrix structure
  [in] | *pVec | points to the input vector
  [out] | *pDst | points to the output vector

void arm_mat_vec_mult_q7 | ( | const arm_matrix_instance_q7 * | pSrcMat,
|  | const q7_t * | pVec,
|  | q7_t * | pDst
| ) |  |

Parameters

  [in] | *pSrcMat | points to the input matrix structure
  [in] | *pVec | points to the input vector
  [out] | *pDst | points to the output vector